export declare type OpenVpnConfigAddress = {
    address: string;
    mask: string;
};
export declare type OpenVpnFileOrData = string | {
    embed?: string;
    content?: string;
};
export declare type OpenVpnConfigCommon = {
    dev?: 'tun' | 'tap';
    proto?: 'tcp' | 'udp';
    ca?: OpenVpnFileOrData;
    cert?: OpenVpnFileOrData;
    key?: OpenVpnFileOrData;
    dh?: OpenVpnFileOrData;
    tlsAuth?: string;
    cipher?: string;
    user?: string;
    group?: string;
    status?: string;
    log?: string;
    logAppend?: string;
    verb?: number;
    mute?: number;
    clientToClient?: boolean;
    duplicateCn?: boolean;
    persistKey?: boolean;
    persistTun?: boolean;
    explicitExitNotify?: boolean;
    custom?: {
        [key: string]: any;
    };
};
